import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { CharacterRoutingModule } from './character-routing.module';
import { CharacterPickerComponent } from './character-picker/character-picker.component';
import { CharacterCreatorComponent } from './character-creator/character-creator.component';
import { CharacterCardComponent } from './character-picker/character-card/character-card.component';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';

@NgModule({
  declarations: [
    CharacterPickerComponent,
    CharacterCreatorComponent,
    CharacterCardComponent,
  ],
  imports: [
    CommonModule,
    CharacterRoutingModule,
    FormsModule,
    MatSlideToggleModule,
  ],
})
export class CharacterModule {}
